<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="ALL" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="c33991e6-506f-410a-b9a6-d5a1905a1b19" name="更改" comment="1.优化联系人申请">
      <change beforePath="$PROJECT_DIR$/im/data_type.proto" beforeDir="false" afterPath="$PROJECT_DIR$/im/data_type.proto" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="GOROOT" url="file://$PROJECT_DIR$/../../WorkSpace/pkg/mod/golang.org/toolchain@v0.0.1-go1.24.12.windows-amd64" />
  <component name="Git.Settings">
    <option name="RECENT_BRANCH_BY_REPOSITORY">
      <map>
        <entry key="$PROJECT_DIR$" value="master" />
      </map>
    </option>
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 0
}</component>
  <component name="ProjectId" id="38bUuRXXNUsEIia0QQuEqdd3S30" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">{
  &quot;keyToString&quot;: {
    &quot;RunOnceActivity.ShowReadmeOnStart&quot;: &quot;true&quot;,
    &quot;RunOnceActivity.git.unshallow&quot;: &quot;true&quot;,
    &quot;RunOnceActivity.go.formatter.settings.were.checked&quot;: &quot;true&quot;,
    &quot;RunOnceActivity.go.migrated.go.modules.settings&quot;: &quot;true&quot;,
    &quot;RunOnceActivity.go.modules.go.list.on.any.changes.was.set&quot;: &quot;true&quot;,
    &quot;git-widget-placeholder&quot;: &quot;dev&quot;,
    &quot;go.import.settings.migrated&quot;: &quot;true&quot;,
    &quot;go.sdk.automatically.set&quot;: &quot;true&quot;,
    &quot;last_opened_file_path&quot;: &quot;G:/ICom/proto/im&quot;,
    &quot;node.js.detected.package.eslint&quot;: &quot;true&quot;,
    &quot;node.js.selected.package.eslint&quot;: &quot;(autodetect)&quot;,
    &quot;nodejs_package_manager_path&quot;: &quot;npm&quot;,
    &quot;settings.editor.selected.configurable&quot;: &quot;google.protobuf.language&quot;
  }
}</component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="G:\ICom\proto\im" />
    </key>
  </component>
  <component name="SharedIndexes">
    <attachedChunks>
      <set>
        <option value="bundled-gosdk-d297c17c1fbd-d82d926f19eb-org.jetbrains.plugins.go.sharedIndexes.bundled-GO-243.22562.186" />
        <option value="bundled-js-predefined-d6986cc7102b-deb605915726-JavaScript-GO-243.22562.186" />
      </set>
    </attachedChunks>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="应用程序级" UseSingleDictionary="true" transferred="true" />
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="1.枚举改成optional字段" />
    <MESSAGE value="1.发送的聊天content改成bytes" />
    <MESSAGE value="1.点对点增加推送信息" />
    <MESSAGE value="1.添加修改群配置" />
    <MESSAGE value="1.添加转让群" />
    <MESSAGE value="1.添加退出群" />
    <MESSAGE value="1.添加修改联系人配置" />
    <MESSAGE value="1.群操作添加发送群消息" />
    <MESSAGE value="1.群操作添加消息至顶" />
    <MESSAGE value="1.优化协议" />
    <MESSAGE value="1.修改角色可传多个" />
    <MESSAGE value="1.修改群介绍，新增加字段" />
    <MESSAGE value="1.增加点对点消息操作类型" />
    <MESSAGE value="1.添加收藏的相关操作" />
    <MESSAGE value="1.添加回执版本号" />
    <MESSAGE value="1.修改协议结构" />
    <MESSAGE value="1.删除" />
    <MESSAGE value="1.修复bug" />
    <MESSAGE value="1.完成收藏的添加" />
    <MESSAGE value="1.新加cmd" />
    <MESSAGE value="1.优化" />
    <MESSAGE value="1.优化proto" />
    <MESSAGE value="1.ContactRequestConversationRes 新加isSelfOperate字段" />
    <MESSAGE value="1.resp加入系统提示码" />
    <MESSAGE value="1.优化联系人申请" />
    <option name="LAST_COMMIT_MESSAGE" value="1.优化联系人申请" />
  </component>
  <component name="VgoProject">
    <settings-migrated>true</settings-migrated>
  </component>
</project>